# Uses of Interface
org.opensaml.xmlsec.encryption.KeyDerivationMethod

Packages that use KeyDerivationMethod
Package
Description
org.opensaml.xmlsec.derivation.impl
Implementation components related to key derivation operations.
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of KeyDerivationMethod in org.opensaml.xmlsec.derivation.impl

Methods in org.opensaml.xmlsec.derivation.impl with parameters of type KeyDerivationMethod
Modifier and Type
Method
Description
`static ConcatKDF`
ConcatKDF.`fromXMLObject(KeyDerivationMethod xmlObject)`
Create and initialize a new instance from the specified `XMLObject`.
`static PBKDF2`
PBKDF2.`fromXMLObject(KeyDerivationMethod xmlObject)`
Create and initialize a new instance from the specified `XMLObject`.

## Uses of KeyDerivationMethod in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return KeyDerivationMethod
Modifier and Type
Method
Description
`KeyDerivationMethod`
DerivedKey.`getKeyDerivationMethod()`
Get the KeyDerivationMethod child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type KeyDerivationMethod
Modifier and Type
Method
Description
`void`
DerivedKey.`setKeyDerivationMethod(KeyDerivationMethod method)`
Set the KeyDerivationMethod child element.

## Uses of KeyDerivationMethod in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement KeyDerivationMethod
Modifier and Type
Class
Description
`class`
`KeyDerivationMethodImpl`
Concrete implementation of `KeyDerivationMethod`.
Fields in org.opensaml.xmlsec.encryption.impl declared as KeyDerivationMethod
Modifier and Type
Field
Description
`private KeyDerivationMethod`
DerivedKeyImpl.`keyDerivationMethod`
KeyDerivationMethod child element.
Methods in org.opensaml.xmlsec.encryption.impl that return KeyDerivationMethod
Modifier and Type
Method
Description
`KeyDerivationMethod`
KeyDerivationMethodBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`KeyDerivationMethod`
KeyDerivationMethodBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`KeyDerivationMethod`
DerivedKeyImpl.`getKeyDerivationMethod()`
Get the KeyDerivationMethod child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type KeyDerivationMethod
Modifier and Type
Method
Description
`void`
DerivedKeyImpl.`setKeyDerivationMethod(KeyDerivationMethod method)`
Set the KeyDerivationMethod child element.